import { __ } from '@wordpress/i18n';

export default class GeoUtil {
	static getCountries() {
		return {
			AD: __('Andorra', 'wds'),
			AF: __('Afghanistan', 'wds'),
			AG: __('Antigua and Barbuda', 'wds'),
			AI: __('Anguilla', 'wds'),
			AL: __('Albania', 'wds'),
			AM: __('Armenia', 'wds'),
			AO: __('Angola', 'wds'),
			AQ: __('Antarctica', 'wds'),
			AR: __('Argentina', 'wds'),
			AS: __('American Samoa', 'wds'),
			AT: __('Austria', 'wds'),
			AU: __('Australia', 'wds'),
			AW: __('Aruba', 'wds'),
			AX: __('Aland Islands', 'wds'),
			AZ: __('Azerbaijan', 'wds'),
			BA: __('Bosnia and Herzegovina', 'wds'),
			BB: __('Barbados', 'wds'),
			BD: __('Bangladesh', 'wds'),
			BE: __('Belgium', 'wds'),
			BF: __('Burkina Faso', 'wds'),
			BG: __('Bulgaria', 'wds'),
			BH: __('Bahrain', 'wds'),
			BI: __('Burundi', 'wds'),
			BJ: __('Benin', 'wds'),
			BL: __('Saint Barthelemy', 'wds'),
			BM: __('Bermuda', 'wds'),
			BN: __('Brunei Darussalam', 'wds'),
			BO: __('Bolivia', 'wds'),
			BQ: __('Bonaire, Saint Eustatius and Saba', 'wds'),
			BR: __('Brazil', 'wds'),
			BS: __('Bahamas', 'wds'),
			BT: __('Bhutan', 'wds'),
			BV: __('Bouvet Island', 'wds'),
			BW: __('Botswana', 'wds'),
			BY: __('Belarus', 'wds'),
			BZ: __('Belize', 'wds'),
			CA: __('Canada', 'wds'),
			CC: __('Cocos (Keeling) Islands', 'wds'),
			CD: __('Congo, The Democratic Republic of the', 'wds'),
			CF: __('Central African Republic', 'wds'),
			CG: __('Congo', 'wds'),
			CH: __('Switzerland', 'wds'),
			CI: __("Cote d'Ivoire", 'wds'),
			CK: __('Cook Islands', 'wds'),
			CL: __('Chile', 'wds'),
			CM: __('Cameroon', 'wds'),
			CN: __('China', 'wds'),
			CO: __('Colombia', 'wds'),
			CR: __('Costa Rica', 'wds'),
			CU: __('Cuba', 'wds'),
			CV: __('Cape Verde', 'wds'),
			CW: __('Curacao', 'wds'),
			CX: __('Christmas Island', 'wds'),
			CY: __('Cyprus', 'wds'),
			CZ: __('Czech Republic', 'wds'),
			DE: __('Germany', 'wds'),
			DJ: __('Djibouti', 'wds'),
			DK: __('Denmark', 'wds'),
			DM: __('Dominica', 'wds'),
			DO: __('Dominican Republic', 'wds'),
			DZ: __('Algeria', 'wds'),
			EC: __('Ecuador', 'wds'),
			EE: __('Estonia', 'wds'),
			EG: __('Egypt', 'wds'),
			EH: __('Western Sahara', 'wds'),
			ER: __('Eritrea', 'wds'),
			ES: __('Spain', 'wds'),
			ET: __('Ethiopia', 'wds'),
			FI: __('Finland', 'wds'),
			FJ: __('Fiji', 'wds'),
			FK: __('Falkland Islands (Malvinas)', 'wds'),
			FM: __('Micronesia, Federated States of', 'wds'),
			FO: __('Faroe Islands', 'wds'),
			FR: __('France', 'wds'),
			GA: __('Gabon', 'wds'),
			GB: __('United Kingdom', 'wds'),
			GD: __('Grenada', 'wds'),
			GE: __('Georgia', 'wds'),
			GF: __('French Guiana', 'wds'),
			GG: __('Guernsey', 'wds'),
			GH: __('Ghana', 'wds'),
			GI: __('Gibraltar', 'wds'),
			GL: __('Greenland', 'wds'),
			GM: __('Gambia', 'wds'),
			GN: __('Guinea', 'wds'),
			GP: __('Guadeloupe', 'wds'),
			GQ: __('Equatorial Guinea', 'wds'),
			GR: __('Greece', 'wds'),
			GS: __(
				'South Georgia and the South Sandwich Islands',
				'wds'
			),
			GT: __('Guatemala', 'wds'),
			GU: __('Guam', 'wds'),
			GW: __('Guinea-Bissau', 'wds'),
			GY: __('Guyana', 'wds'),
			HK: __('Hong Kong', 'wds'),
			HM: __('Heard Island and McDonald Islands', 'wds'),
			HN: __('Honduras', 'wds'),
			HR: __('Croatia', 'wds'),
			HT: __('Haiti', 'wds'),
			HU: __('Hungary', 'wds'),
			ID: __('Indonesia', 'wds'),
			IE: __('Ireland', 'wds'),
			IL: __('Israel', 'wds'),
			IM: __('Isle of Man', 'wds'),
			IN: __('India', 'wds'),
			IO: __('British Indian Ocean Territory', 'wds'),
			IQ: __('Iraq', 'wds'),
			IR: __('Iran, Islamic Republic of', 'wds'),
			IS: __('Iceland', 'wds'),
			IT: __('Italy', 'wds'),
			JE: __('Jersey', 'wds'),
			JM: __('Jamaica', 'wds'),
			JO: __('Jordan', 'wds'),
			JP: __('Japan', 'wds'),
			KE: __('Kenya', 'wds'),
			KG: __('Kyrgyzstan', 'wds'),
			KH: __('Cambodia', 'wds'),
			KI: __('Kiribati', 'wds'),
			KM: __('Comoros', 'wds'),
			KN: __('Saint Kitts and Nevis', 'wds'),
			KP: __("Korea, Democratic People's Republic of", 'wds'),
			KR: __('Korea, Republic of', 'wds'),
			KW: __('Kuwait', 'wds'),
			KY: __('Cayman Islands', 'wds'),
			KZ: __('Kazakhstan', 'wds'),
			LA: __("Lao People's Democratic Republic", 'wds'),
			LB: __('Lebanon', 'wds'),
			LC: __('Saint Lucia', 'wds'),
			LI: __('Liechtenstein', 'wds'),
			LK: __('Sri Lanka', 'wds'),
			LR: __('Liberia', 'wds'),
			LS: __('Lesotho', 'wds'),
			LT: __('Lithuania', 'wds'),
			LU: __('Luxembourg', 'wds'),
			LV: __('Latvia', 'wds'),
			LY: __('Libyan Arab Jamahiriya', 'wds'),
			MA: __('Morocco', 'wds'),
			MC: __('Monaco', 'wds'),
			MD: __('Moldova, Republic of', 'wds'),
			ME: __('Montenegro', 'wds'),
			MF: __('Saint Martin', 'wds'),
			MG: __('Madagascar', 'wds'),
			MH: __('Marshall Islands', 'wds'),
			MK: __('Macedonia', 'wds'),
			ML: __('Mali', 'wds'),
			MM: __('Myanmar', 'wds'),
			MN: __('Mongolia', 'wds'),
			MO: __('Macao', 'wds'),
			MP: __('Northern Mariana Islands', 'wds'),
			MQ: __('Martinique', 'wds'),
			MR: __('Mauritania', 'wds'),
			MS: __('Montserrat', 'wds'),
			MT: __('Malta', 'wds'),
			MU: __('Mauritius', 'wds'),
			MV: __('Maldives', 'wds'),
			MW: __('Malawi', 'wds'),
			MX: __('Mexico', 'wds'),
			MY: __('Malaysia', 'wds'),
			MZ: __('Mozambique', 'wds'),
			NA: __('Namibia', 'wds'),
			NC: __('New Caledonia', 'wds'),
			NE: __('Niger', 'wds'),
			NF: __('Norfolk Island', 'wds'),
			NG: __('Nigeria', 'wds'),
			NI: __('Nicaragua', 'wds'),
			NL: __('Netherlands', 'wds'),
			NO: __('Norway', 'wds'),
			NP: __('Nepal', 'wds'),
			NR: __('Nauru', 'wds'),
			NU: __('Niue', 'wds'),
			NZ: __('New Zealand', 'wds'),
			OM: __('Oman', 'wds'),
			PA: __('Panama', 'wds'),
			PE: __('Peru', 'wds'),
			PF: __('French Polynesia', 'wds'),
			PG: __('Papua New Guinea', 'wds'),
			PH: __('Philippines', 'wds'),
			PK: __('Pakistan', 'wds'),
			PL: __('Poland', 'wds'),
			PM: __('Saint Pierre and Miquelon', 'wds'),
			PN: __('Pitcairn', 'wds'),
			PR: __('Puerto Rico', 'wds'),
			PS: __('Palestinian Territory', 'wds'),
			PT: __('Portugal', 'wds'),
			PW: __('Palau', 'wds'),
			PY: __('Paraguay', 'wds'),
			QA: __('Qatar', 'wds'),
			RE: __('Reunion', 'wds'),
			RO: __('Romania', 'wds'),
			RS: __('Serbia', 'wds'),
			RU: __('Russian Federation', 'wds'),
			RW: __('Rwanda', 'wds'),
			SA: __('Saudi Arabia', 'wds'),
			SB: __('Solomon Islands', 'wds'),
			SC: __('Seychelles', 'wds'),
			SD: __('Sudan', 'wds'),
			SE: __('Sweden', 'wds'),
			SG: __('Singapore', 'wds'),
			SH: __('Saint Helena', 'wds'),
			SI: __('Slovenia', 'wds'),
			SJ: __('Svalbard and Jan Mayen', 'wds'),
			SK: __('Slovakia', 'wds'),
			SL: __('Sierra Leone', 'wds'),
			SM: __('San Marino', 'wds'),
			SN: __('Senegal', 'wds'),
			SO: __('Somalia', 'wds'),
			SR: __('Suriname', 'wds'),
			SS: __('South Sudan', 'wds'),
			ST: __('Sao Tome and Principe', 'wds'),
			SV: __('El Salvador', 'wds'),
			SX: __('Sint Maarten', 'wds'),
			SY: __('Syrian Arab Republic', 'wds'),
			SZ: __('Swaziland', 'wds'),
			TC: __('Turks and Caicos Islands', 'wds'),
			TD: __('Chad', 'wds'),
			TF: __('French Southern Territories', 'wds'),
			TG: __('Togo', 'wds'),
			TH: __('Thailand', 'wds'),
			TJ: __('Tajikistan', 'wds'),
			TK: __('Tokelau', 'wds'),
			TL: __('Timor-Leste', 'wds'),
			TM: __('Turkmenistan', 'wds'),
			TN: __('Tunisia', 'wds'),
			TO: __('Tonga', 'wds'),
			TR: __('Turkey', 'wds'),
			TT: __('Trinidad and Tobago', 'wds'),
			TV: __('Tuvalu', 'wds'),
			TW: __('Taiwan', 'wds'),
			TZ: __('Tanzania, United Republic of', 'wds'),
			UA: __('Ukraine', 'wds'),
			UG: __('Uganda', 'wds'),
			AE: __('United Arab Emirates', 'wds'),
			UM: __('United States Minor Outlying Islands', 'wds'),
			US: __('United States', 'wds'),
			UY: __('Uruguay', 'wds'),
			UZ: __('Uzbekistan', 'wds'),
			VA: __('Holy See (Vatican City State)', 'wds'),
			VC: __('Saint Vincent and the Grenadines', 'wds'),
			VE: __('Venezuela', 'wds'),
			VG: __('Virgin Islands, British', 'wds'),
			VI: __('Virgin Islands, U.S.', 'wds'),
			VN: __('Vietnam', 'wds'),
			VU: __('Vanuatu', 'wds'),
			WF: __('Wallis and Futuna', 'wds'),
			WS: __('Samoa', 'wds'),
			YE: __('Yemen', 'wds'),
			YT: __('Mayotte', 'wds'),
			ZA: __('South Africa', 'wds'),
			ZM: __('Zambia', 'wds'),
			ZW: __('Zimbabwe', 'wds'),
		};
	}
}
